
package snap.graph;

import snap.coordination.*;
import snap.adapter.*;
import snap.database.*;
import snap.*;

/** Node in the CoordinationGraph structure.
  *
  * @author Nathan Conklin - nathan@conklinfamily.net
  * @author Chris North - north@cs.vt.edu
  * @author Varun Saini - vsaini@vt.edu
  * @author Umer Farooq - ufarooq@vt.edu
  * @author Aniket Prabhune - aprabhun@vt.edu
  */
public class CoordinationNode extends Node
{


public CoordinationNode(CoordinationGraph graph, String name, Query query,
	TechnologyAdapter adapter)
{
    super(graph, name, query, adapter);
}


/************************************************************************/
//added on 15th march2:13 PM
private SnapEvent eventToBeFired = null;
private boolean mark = false;

public boolean getMark()
{
		return mark;
}

public void setMark(boolean flag)
{
		 mark=flag;
}

public SnapEvent getSnapEvent()
{
		return eventToBeFired;
}

public void setSnapEvent(SnapEvent snapevent)
{
		 eventToBeFired = snapevent;
}


}

