
package snap.graph;

import java.util.EventListener;

/** The interface for a listener to GraphChangeEvents.
  *
  * @author Nathan Conklin - nathan@conklinfamily.net
  * @author Chris North - north@cs.vt.edu
  * @author Varun Saini - vsaini@vt.edu
  * @author Umer Farooq - ufarooq@vt.edu
  * @author Aniket Prabhune - aprabhun@vt.edu
  */
public interface GraphChangeEventListener extends EventListener
{

public void graphChanged(GraphChangeEvent e);

}

